#ifndef __DISPLAY_H
#define __DISPLAY_H

#include <stdio.h>

#define STR_SIZE 1024 // string size
#define MAX_HEIGHT 512 // text window length

typedef struct message {
    int t; // message type
    char v[STR_SIZE]; // message content
} message;

typedef struct Chat {
    int x, y, w, h; // X and Y coordinate, Width, Height
    int s, l; // scroll offset, number of text lines
    struct message text[MAX_HEIGHT]; //Text
} Chat;

typedef struct Input {
	int pos;
	char text[STR_SIZE];
} Input;

int display_init();
void intro_screen(int screen);
void display_destroy();
void display_drawHud();
void diaplay_drawChat();

extern BITMAP *vbuffer, *gamearea, *charsBMP;
extern DATAFILE *tiles, *fonts, *images;
extern int MOUSE_NUM;

#endif
